Suuria PHP-muutoksia odotettavissa joulukuussa

Kirjoitettu: 23.11.2018 Päivitetty: 23.11.2018

PHP:n tulevan 7.3-version on määrä ilmestyä joulukuussa. Aiemmin tällä viikolla ilmestyi viimeisin ennakkoversio 7.3.0RC6,  jonka oletetaan myös olevan viimeinen ennen varsinaista julkaisua. PHP 7.3 keskittyy pitkälti kehittäjäkokemuksen parantamiseen.

Täydelliseen listaan tulossa olevista muutoksista ja korjauksista, sekä väistyvistä funktioista ja ominaisuuksista voit tutustua GitHubissa

Mitä jokaisen WordPress-käyttäjän tulisi tietää PHP:sta

WordPress-järjestelmä on kirjoitettu PHP:lla, eli se on keskeinen osa kaikkia maailman WordPress-sivustoja. Se ei kuitenkaan tarkoita, että sinun pitää osata PHP:ta voidaksesi käyttää WordPressiä, vaan useimmat ihmiset onnistuvat käyttämään sivustojaan täysipainoisesti koskematta yhteenkään riviin PHP-koodia. Se mitä kaikkien WordPress-käyttäjien kuitenkin tulee ymmärtää, on PHP:n suora vaikutus heidän sivustojensa turvallisuuteen ja suorituskykyyn.

PHP:sta julkaistaan uusi versio keskimäärin kerran vuodessa. Jokaisen version elinkaareen kuuluu kaksi vuotta aktiivista kehitystä ja sen päälle vielä vuosi tukea tietoturvapäivitysten muodossa. Tämä tarkoittaa sitä, että PHP ei ole asia, jonka voi asentaa ja unohtaa. Jokaisen palveluntarjoajan on ymmärrettävä tukea viimeisimpiä PHP-versioita heti niiden ilmestyessä.

Entä WordPress-sivustoille, jotka käyttävät vanhentuneita PHP-versioita?

Uudet versiot tuovat tullessaan parannuksia PHP:n tietoturvaan ja suorituskykyyn, joka kääntäen tarkoittaa sitä, että mitä vanhempi PHP-versio on käytössä, sitä hitaampi on WordPress-sivusto. Nopeuserot ovat huomattavat erityisesti kun verrataan ajanmukaisia versioita kohta väistyvään, alunperin vuodelta 2014 peräisin olevaan 5.6-versioon.

Mikäli huomaat, että sivustollasi on käytössä versiota 7.1 vanhempi PHP-asennus, suosittelemme päivittämään sen. Tuki kaikille sitä vanhemmille versiolle nimittäin päättyy vuoden 2018 lopussa, kuten voit todeta oheisesta taulukosta.

Lähde: http://php.net/supported-versions.php

On valitettavasti todettava, että WordPressin keräämien tilastojen mukaan lähes 60% sivustoista käyttävät tällä hetkellä joko PHP:n versiota 5.6 tai 7.0, jotka siis molemmat ovat tulossa tiensä päähän joulukuussa. 

Vielä tätäkin hälyttävämpää on sivustojen määrä, jotka edelleen käyttävät näitä kahta vanhempia versioita. Noin 30% WordPress-sivustoista käyttää auttamattomasti vanhentuneita PHP-versiota, sellaisia joille ei enää ole tarjolla tietoturvapäivityksiä, joka tekee sivustoista huomattavan helppoja maaleja tietomurroille.

Mikäli tilanne ei radikaalisti muutu, joulukuun jälkeen yli 80% maailman WordPress-sivustoista pyörii sellaisen PHP-version avulla, jolle ei enää ole tarjolla tietoturvapäivityksiä.

Source: https://wordpress.org/about/stats/

Pääasialliset syyt miksi PHP jää päivittämättä, ovat käyttäjien epätietoisuus PHP-versioiden eroista, palveluntarjoajien saamattomuus, tai laiskuus. WP-palvelun asiakkaana voit luottaa siihen, että sivustollesi on aina tarjolla viimeisimmät PHP-versiot. Me emme tingi asiakkaidemme sivustojen turvallisuudesta ja suorituskyvystä.

Mitä PHP-versiota minun pitäisi käyttää?

Mikäli et vieläkään ole aivan varma, mitä PHP-versiota sinun tulisi käyttää, voimme tarjota sinulle yksinkertaisen vastauksen.

Luovu PHP:n versioista 5.6 ja 7.0 mahdollisimman pian. Niille ei ole tarjolla tietoturvapäivityksiä enää joulukuun 2018 jälkeen.

Suosittelemme, että alat välittömästi käyttämään versiota 7.2. Versioiden 5.6 ja 7.0 aktiivinen kehitys on loppunut jo ajat sitten ja näin tulee joulukuun alusta tapahtumaan myös versiolle 7.1. Vähintäänkin sinun on syytä luopua PHP:n versiosta 5.6 ja 7.0 mahdollisimman pian. Niille ei ole tarjolla edes tietoturvapäivityksiä enää joulukuun 2018 jälkeen.

Tarjoamme kaikille asiakkaillemme mahdollisuuden valita mitä PHP-versiota käyttävät. Päivittäminen väistyvistä versiosta uudempaan on helppo tehdä päivitysohjeemme avulla. Huomaathan, että kuten ohjeessakin mainitaan, ennen PHP-version vaihtamista on aina syytä varmistaa sivustosi yhteensopivuus haluamasi version kanssa.

Ei yhteensopivuusongelmia PHP:n version 7.2 kanssa.

Kaikki tarjoamamme palveluvaihtoehdot sisältävät WordPressille optimoidun palvelinympäristön, sivustojen valvonnan ja päivitykset, sekä lukuisia muita ominaisuuksia, joita ilman et halua sivustoasi pyörittää. Mikäli sinulle jäi jotain kysyttävää, ota ihmeessä yhteyttä!

1 kommentti kirjoituksessa “Suuria PHP-muutoksia odotettavissa joulukuussa”

  • N.N. sanoo:

    Teillä on varmaan tarjota linkki esim. Debianin tiedotteeseen, jossa he ilmoittavat etteivät tarjoa tietoturvapäivityksiä PHP 5.6:lle Jessien (Debian 8) tukiaikana? En itse löytänyt intergooglella, osaamattomuutta?

Kommentoi

Eetu Mäkelä

Markkinointi & Viestintä eetu@seravo.fi @EetuPMakela

Hae WP-palvelu.fi:stä

Kategoriat

Lue myös

WordPress 5.0 ilmestyy itsenäisyyspäivänä

4.12.2018

Kun alunperin marraskuun lopulle kaavailtu WordPress 5.0 viivästyi, useammassa kuin yhdessä WordPressin parissa työskentelevässä yrityksessä eläteltiin toiveita, että julkaisu siirtyisi […]

Miksi kannattaa valita WooCommerce

14.11.2018

WooCommerce on maailman suosituin verkkokauppa-lisäosa WordPressille. Se on käytössä yli neljällä miljoonalla sivustolla, se on helppokäyttöinen, suoraan WordPressin kanssa yhteensopiva […]

WooCommerce 3.5 on täällä

1.11.2018

WooCommercea ja sen kehittäjää Automatticia ei ainakaan voi syyttää laakereillaan lepäämisestä, sillä versio 3.5 merkitsee jo kolmatta päivitystä WooCommerce-lisäosalle tänä […]